class Admin::PseudoMembersController < OrbitAdminController
  def index
    @table_fields = ["pseudo_members.name", "pseudo_members.user_name", "pseudo_members.last_login"]
    @members = PseudoUser.all.desc(:created_at).page(params[:page]).per(10)
  end

  def settings
    @settings = PseudoMemberSetting.first rescue nil
    if @settings.nil?
      @settings = PseudoMemberSetting.create
    end
  end

  def update_settings
    @settings = PseudoMemberSetting.first
    @settings.update_attributes(setting_params)
    @settings.save
    redirect_to settings_admin_pseudo_members_path
  end

  def destroy
    puser = PseudoUser.find(params[:id])
    puser.destroy
    redirect_to admin_pseudo_members_path(:page => params[:page])
  end

  private 

  def setting_params
    params.require(:pseudo_member_setting).permit!
  end
end