module PseudoMember
  class Engine < ::Rails::Engine
    initializer "pseudo_member" do 
      OrbitApp.registration "PseudoMember", :type => "ModuleApp" do
        module_label "pseudo_members.pseudo_members"
        base_url File.expand_path File.dirname(__FILE__)
        frontend_enabled
        data_count 1..30
        set_keyword_contstraints ["/pseudo_users/"]
        side_bar do
          head_label_i18n 'pseudo_members.pseudo_members', icon_class: "icons-user-add"
          available_for "admin"
          active_for_controllers (['admin/pseudo_members'])
          head_link_path "admin_pseudo_members_path"

          context_link 'pseudo_members.members',
                :link_path=>"admin_pseudo_members_path" ,
                :priority=>1,
                :active_for_action=>{'admin/pseudo_members'=>"index"},
                :available_for => 'admin'

          context_link 'pseudo_members.settings',
                :link_path=>"settings_admin_pseudo_members_path" ,
                :priority=>1,
                :active_for_action=>{'admin/pseudo_members'=>"settings"},
                :available_for => 'admin'
        end
      end
    end
  end
end